"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.get = void 0;

var get = function get(obj, path, def) {
  var stringToPath = function stringToPath(pathValue) {
    if (typeof pathValue !== 'string') {
      if (Array.isArray(pathValue)) {
        return pathValue;
      }

      return null;
    }

    var output = [];
    pathValue.split('.').forEach(function (item) {
      item.split(/\[([^}]+)\]/g).forEach(function (key) {
        if (key.length > 0) {
          output.push(key);
        }
      });
    });
    return output;
  };

  var findPath = stringToPath(path);

  if (!findPath) {
    return def;
  }

  var current = obj;

  for (var i = 0; i < findPath.length; i++) {
    if (!current[findPath[i]]) {
      return def;
    }

    current = current[findPath[i]];
  }

  return current;
};

exports.get = get;